Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.assertions
Class TestStepAverageAssertion

    java.lang.Object
      com.eviware.soapui.impl.wsdl.loadtest.assertions.AbstractLoadTestAssertion
          com.eviware.soapui.impl.wsdl.loadtest.assertions.TestStepAverageAssertion

All Implemented Interfaces:
  LoadTestAssertion, Configurable, PropertyChangeNotifier

    public class TestStepAverageAssertion

extends AbstractLoadTestAssertion
implements Configurable

LoadTestAssertion for asserting the average step time

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.impl.wsdl.loadtest.assertions.AbstractLoadTestAssertion
`AbstractLoadTestAssertion.ConfigureAssertionAction, AbstractLoadTestAssertion.RenameAssertionAction`

Field Summary
`static java.lang.String` | `STEP_AVERAGE_TYPE`

Fields inherited from class com.eviware.soapui.impl.wsdl.loadtest.assertions.AbstractLoadTestAssertion
`TEST_STEP_ELEMENT, TEST_STEP_FIELD`

Fields inherited from interface com.eviware.soapui.impl.wsdl.loadtest.LoadTestAssertion
`ALL_TEST_STEPS, ANY_TEST_STEP, CONFIGURATION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`TestStepAverageAssertion(com.eviware.soapui.config.LoadTestAssertionConfig assertionConfig, WsdlLoadTest loadTest)`

Method Summary
`java.lang.String` | `assertResult(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestStepResult result, TestRunner testRunner, TestRunContext runContext)`
`java.lang.String` | `assertResults(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestRunner testRunner, TestRunContext runContext)`
`boolean` | `configure()`
`java.lang.String` | `getDescription()`
`protected void` | `updateConfiguration()`

Methods inherited from class com.eviware.soapui.impl.wsdl.loadtest.assertions.AbstractLoadTestAssertion
`addPropertyChangeListener, addPropertyChangeListener, getConfiguration, getIcon, getLoadTest, getName, getTargetStep, getTargetStepOptions, initIcon, release, removePropertyChangeListener, removePropertyChangeListener, returnErrorOrFail, setConfiguration, setName, setTargetStep, targetStepMatches, updateConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STEP_AVERAGE_TYPE

    public static final java.lang.String STEP_AVERAGE_TYPE

See Also:
  Constant Field Values

Constructor Detail

### TestStepAverageAssertion

    public TestStepAverageAssertion(com.eviware.soapui.config.LoadTestAssertionConfig assertionConfig,
                                    WsdlLoadTest loadTest)

Method Detail

### assertResult

    public java.lang.String assertResult(LoadTestRunner loadTestRunner,
                                         LoadTestRunContext context,
                                         TestStepResult result,
                                         TestRunner testRunner,
                                         TestRunContext runContext)

  Specified by:
    `assertResult` in interface `LoadTestAssertion`

### assertResults

    public java.lang.String assertResults(LoadTestRunner loadTestRunner,
                                          LoadTestRunContext context,
                                          TestRunner testRunner,
                                          TestRunContext runContext)

  Specified by:
    `assertResults` in interface `LoadTestAssertion`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `LoadTestAssertion`

### configure

    public boolean configure()

  Specified by:
    `configure` in interface `Configurable`

### updateConfiguration

    protected void updateConfiguration()

  Specified by:
    `updateConfiguration` in class `AbstractLoadTestAssertion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.